function onBegin()
	disableMovement()
	makeUnskippable()
	disableRetry()
	player.Facing = getEnum("Celeste.Facings", "Left")
	walkTo(5477)
	wait(0.2)
	player.Facing = getEnum("Celeste.Facings", "Right")
	walkTo(5538)
	wait(0.1)
	player.Facing = getEnum("Celeste.Facings", "Left")
	walkTo(5515)
	player.Facing = getEnum("Celeste.Facings", "Right")
	setFlag("NEO-bonus02break",true)
	setFlag("NEO-bonus02camera",true)
	local playerFloat = celeste.Mod.CrossoverCollab.CrossoverCollabModule.PlayerSpeedCoroutine(player, 0)
	wait(0.4)
end

function onEnd()
	enableMovement()
	enableRetry()
end